AC_REVISION($Revision $)
AC_INIT(osslsigncode, 1.1)
AC_CONFIG_HEADER(config.h)

dnl Determine OS info (this changes how tests will come out, must be done first.)
DC_CHK_OS_INFO

dnl Checks for programs.
AC_PROG_CC
AC_PROG_MAKE_SET
AC_PROG_INSTALL
AC_AIX
AC_GNU_SOURCE

AC_CHECK_HEADERS(getopt.h)
AC_HEADER_TIME

dnl Figure out how to tell the linker about muldefs.
DC_MULDEF

AC_REPLACE_FUNCS(getopt)

dnl Require OpenSSL's libcrypto
DC_ASK_OPTLIB(crypto, BIO_new, openssl/err.h, [         SSL Support], openssl, HAVE_OPENSSL, HAVE_OPENSSL_H, [
        AC_MSG_ERROR([OpenSSL is required. http://www.openssl.org/])
])

dnl Require Curl
DC_ASK_OPTLIB(curl, curl_easy_setopt, curl/curl.h, [            Curl Support], curl, HAVE_CURL, HAVE_CURL_H, [
        AC_MSG_ERROR([Curl is required. http://curl.haxx.se/])
])

AC_OUTPUT(Makefile)
